---
title: "NumberInput"
isDefaultIndex: false
generated: true
---
<!-- This file was generated from the Vendure source. Do not modify. Instead, re-run the "docs:build" script -->
import MemberInfo from '@site/src/components/MemberInfo';
import GenerationInfo from '@site/src/components/GenerationInfo';
import MemberDescription from '@site/src/components/MemberDescription';


## NumberInput

<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/number-input.tsx" sourceLine="23" packageName="@vendure/dashboard" />

A component for displaying a numeric value.

```ts title="Signature"
function NumberInput(props: Readonly<NumberInputProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={`Readonly&#60;NumberInputProps&#62;`} />

